<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LibSylph: Class Members - Functions</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.8 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="classes.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="classes.html"><span>Class&nbsp;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_type.html"><span>Typedefs</span></a></li>
      <li><a href="functions_rela.html"><span>Related&nbsp;Functions</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="#index_a"><span>a</span></a></li>
      <li><a href="#index_b"><span>b</span></a></li>
      <li><a href="#index_c"><span>c</span></a></li>
      <li><a href="#index_e"><span>e</span></a></li>
      <li><a href="#index_f"><span>f</span></a></li>
      <li><a href="#index_h"><span>h</span></a></li>
      <li><a href="#index_i"><span>i</span></a></li>
      <li><a href="#index_l"><span>l</span></a></li>
      <li><a href="#index_n"><span>n</span></a></li>
      <li><a href="#index_o"><span>o</span></a></li>
      <li><a href="#index_p"><span>p</span></a></li>
      <li><a href="#index_s"><span>s</span></a></li>
      <li><a href="#index_t"><span>t</span></a></li>
      <li><a href="#index_u"><span>u</span></a></li>
      <li><a href="#index_w"><span>w</span></a></li>
      <li><a href="#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
&nbsp;
<p>
<h3><a class="anchor" name="index_a">- a -</a></h3><ul>
<li>addTraceMessage()
: <a class="el" href="class_sylph_1_1_exception.html#1038e3fb0e96d4733beb0ea03c4aad04">Sylph::Exception</a>
<li>Any()
: <a class="el" href="class_sylph_1_1_any.html#63cde8641e21cda8efe82b3752bed66f">Sylph::Any</a>
<li>appType()
: <a class="el" href="class_sylph_1_1_application_self.html#aa375ff6b1551c39732bcbd72e16ece9">Sylph::ApplicationSelf</a>
<li>Array()
: <a class="el" href="class_sylph_1_1_array.html#647dc899b23b352d5fac47883028af0f">Sylph::Array&lt; T &gt;</a>
<li>ascii()
: <a class="el" href="class_sylph_1_1_string.html#94d25c1160b15a75ee11e60cd90ac4b2">Sylph::String</a>
<li>at()
: <a class="el" href="class_sylph_1_1_string.html#d5b85ee4276af4888c0fe000848b395c">Sylph::String</a>
</ul>
<h3><a class="anchor" name="index_b">- b -</a></h3><ul>
<li>back()
: <a class="el" href="class_sylph_1_1_sylph_iterator.html#70994ef8bc524a231b6852f3ce05b94b">Sylph::SylphIterator&lt; Iter &gt;</a>
</ul>
<h3><a class="anchor" name="index_c">- c -</a></h3><ul>
<li>carray()
: <a class="el" href="class_sylph_1_1_array.html#6f4b7a642f0548cd0c6097b54296e14d">Sylph::Array&lt; T &gt;</a>
<li>clear()
: <a class="el" href="class_sylph_1_1_array.html#e62754e1628aed49d7f514803296ae4b">Sylph::Array&lt; T &gt;</a>
<li>contains()
: <a class="el" href="class_sylph_1_1_string.html#393489e1636d7b6155dd73a87a9bc4b7">Sylph::String</a>
<li>copy()
: <a class="el" href="class_sylph_1_1_array.html#ee7eb7bc5e19aef28d7d58a58a0e7abe">Sylph::Array&lt; T &gt;</a>
<li>current()
: <a class="el" href="class_sylph_1_1_array_1_1iterator.html#22bfc5f805fcbc5917ae279f451e110f">Sylph::Array&lt; T &gt;::Array::iterator</a>
, <a class="el" href="class_sylph_1_1_forward_iterator.html#0cfbb6d989c3cbbd37947fb1fa68ee24">Sylph::ForwardIterator&lt; T, I &gt;</a>
</ul>
<h3><a class="anchor" name="index_e">- e -</a></h3><ul>
<li>empty()
: <a class="el" href="class_sylph_1_1_any.html#eb843e6be33616bd4559f68957799c25">Sylph::Any</a>
<li>endsWith()
: <a class="el" href="class_sylph_1_1_string.html#0bb394e7350af86c341fc49007acc582">Sylph::String</a>
<li>equals()
: <a class="el" href="class_sylph_1_1_forward_iterator.html#6bc12e11b0e540d8788e8eab0cad19cd">Sylph::ForwardIterator&lt; T, I &gt;</a>
<li>equalsIgnoreCase()
: <a class="el" href="class_sylph_1_1_string.html#c4f44487d87c3cccb839271c34634a1a">Sylph::String</a>
<li>Exception()
: <a class="el" href="class_sylph_1_1_exception.html#0f450c97db441da6ac67dae78388ada5">Sylph::Exception</a>
</ul>
<h3><a class="anchor" name="index_f">- f -</a></h3><ul>
<li>filter()
: <a class="el" href="class_sylph_1_1_array.html#b46e1eff76bf8750176a840022d85393">Sylph::Array&lt; T &gt;</a>
<li>fromPointer()
: <a class="el" href="class_sylph_1_1_array.html#71636c733d300bf785b95338ebf317ec">Sylph::Array&lt; T &gt;</a>
<li>front()
: <a class="el" href="class_sylph_1_1_sylph_iterator.html#da51b20d4f61fb1728e19100d6da0ba2">Sylph::SylphIterator&lt; Iter &gt;</a>
</ul>
<h3><a class="anchor" name="index_h">- h -</a></h3><ul>
<li>hasNext()
: <a class="el" href="class_sylph_1_1_array_1_1iterator.html#6dcf01f3b483a19c96faf73c8c829ce9">Sylph::Array&lt; T &gt;::Array::iterator</a>
, <a class="el" href="class_sylph_1_1_forward_iterator.html#0c368995da59e9b3a2074bfccf8ac708">Sylph::ForwardIterator&lt; T, I &gt;</a>
, <a class="el" href="class_sylph_1_1_sylph_iterator.html#24c0cef4d514f69fec6577f55dc93799">Sylph::SylphIterator&lt; Iter &gt;</a>
<li>hasPrevious()
: <a class="el" href="class_sylph_1_1_sylph_iterator.html#42de0477358aa16970ef257d041047e3">Sylph::SylphIterator&lt; Iter &gt;</a>
</ul>
<h3><a class="anchor" name="index_i">- i -</a></h3><ul>
<li>indexOf()
: <a class="el" href="class_sylph_1_1_string.html#30dd8de96b21b028d723d82158c9a5d9">Sylph::String</a>
<li>init()
: <a class="el" href="class_sylph_1_1_application.html#4c4e7adbcf061be18bf1dd99fadf9c0c">Sylph::Application</a>
</ul>
<h3><a class="anchor" name="index_l">- l -</a></h3><ul>
<li>lastIndexOf()
: <a class="el" href="class_sylph_1_1_string.html#a08980eec0a9e8662876e22e1ca4e4b9">Sylph::String</a>
<li>length()
: <a class="el" href="class_sylph_1_1_string.html#9cc662b15783a2b3310a17ce29b2bf34">Sylph::String</a>
<li>location()
: <a class="el" href="class_sylph_1_1_application.html#86f3f28afa3682734789a12ae578c656">Sylph::Application</a>
</ul>
<h3><a class="anchor" name="index_n">- n -</a></h3><ul>
<li>name()
: <a class="el" href="class_assertion.html#0f84db344ea67d9084fa450af0e2261e">Assertion</a>
, <a class="el" href="class_sylph_1_1_exception.html#16528d47441cf5ffb45bcdbd119d1661">Sylph::Exception</a>
, <a class="el" href="class_sylph_1_1_file_exception.html#ed1e2488c6e6546ae805eeef2c0c166b">Sylph::FileException</a>
, <a class="el" href="class_sylph_1_1_null_pointer_exception.html#a2dce7a7d789fe26a2de523bdf0358f2">Sylph::NullPointerException</a>
, <a class="el" href="class_sylph_1_1_serialization_exception.html#644a24bfe9e0d21c368155324d9ae33f">Sylph::SerializationException</a>
, <a class="el" href="class_sylph_1_1_i_o_exception.html#3fbf12448999e9e0b68a1c3bbd36a742">Sylph::IOException</a>
, <a class="el" href="class_sylph_1_1_array_exception.html#a08a8b44fe9a17a7d49fbf7901337da1">Sylph::ArrayException</a>
, <a class="el" href="class_sylph_1_1_illegal_state_exception.html#8e46190d7b17a2f8b62c4dd51ef83508">Sylph::IllegalStateException</a>
, <a class="el" href="class_sylph_1_1_illegal_argument_exception.html#32f8fb7f6fc25f97a82053face9304e8">Sylph::IllegalArgumentException</a>
<li>next()
: <a class="el" href="class_sylph_1_1_array_1_1iterator.html#3c1145de7f34e2f9ad853369e418be0a">Sylph::Array&lt; T &gt;::Array::iterator</a>
, <a class="el" href="class_sylph_1_1_forward_iterator.html#c51a9015adb5e22568530c70efd6ff40">Sylph::ForwardIterator&lt; T, I &gt;</a>
, <a class="el" href="class_sylph_1_1_sylph_iterator.html#5cafc479cfa2742212ed80b4e1b03a4e">Sylph::SylphIterator&lt; Iter &gt;</a>
<li>nextIndex()
: <a class="el" href="class_sylph_1_1_sylph_iterator.html#fe653e20cc020e9fea58b2e0b8be8ab9">Sylph::SylphIterator&lt; Iter &gt;</a>
</ul>
<h3><a class="anchor" name="index_o">- o -</a></h3><ul>
<li>operator const char *()
: <a class="el" href="class_sylph_1_1_string.html#7c6cd45258aa88b36de81806d3ba8e83">Sylph::String</a>
<li>operator std::string()
: <a class="el" href="class_sylph_1_1_string.html#1b1cfad99af2835a49cf0bd8060dc587">Sylph::String</a>
<li>operator++()
: <a class="el" href="class_sylph_1_1_sylph_iterator.html#3ea8e165a6e4438fcb82f86117f0b16d">Sylph::SylphIterator&lt; Iter &gt;</a>
<li>operator--()
: <a class="el" href="class_sylph_1_1_sylph_iterator.html#62ec59cb349ca1e92fbcbe75176d5c4f">Sylph::SylphIterator&lt; Iter &gt;</a>
<li>operator=()
: <a class="el" href="class_sylph_1_1_any.html#a7cc9001e0b52ac76a89451828a9ab4d">Sylph::Any</a>
, <a class="el" href="class_sylph_1_1_array.html#c3e4f7e2ac9074863b6b94856bd79622">Sylph::Array&lt; T &gt;</a>
, <a class="el" href="class_sylph_1_1_any.html#85164cb8a7df065867204ca565f18675">Sylph::Any</a>
<li>operator[]()
: <a class="el" href="class_sylph_1_1_array.html#c621cb5748d4fef484a83b91a6e72ece">Sylph::Array&lt; T &gt;</a>
</ul>
<h3><a class="anchor" name="index_p">- p -</a></h3><ul>
<li>previous()
: <a class="el" href="class_sylph_1_1_sylph_iterator.html#3277c644458465f50deb6713d308309c">Sylph::SylphIterator&lt; Iter &gt;</a>
<li>previousIndex()
: <a class="el" href="class_sylph_1_1_sylph_iterator.html#9966f87c9c01a9a13523a34568989124">Sylph::SylphIterator&lt; Iter &gt;</a>
</ul>
<h3><a class="anchor" name="index_s">- s -</a></h3><ul>
<li>set()
: <a class="el" href="class_sylph_1_1_sylph_iterator.html#dea685b03c30249496bdd82f303323d5">Sylph::SylphIterator&lt; Iter &gt;</a>
<li>startsWith()
: <a class="el" href="class_sylph_1_1_string.html#cec7eccb0954e56a1bfadf3094ebf392">Sylph::String</a>
<li>String()
: <a class="el" href="class_sylph_1_1_string.html#cb3bc2e2ad89911d3d99af5ca6f5d8c5">Sylph::String</a>
<li>substring()
: <a class="el" href="class_sylph_1_1_string.html#40c9e2a6bf8678c5551a2e68648b6982">Sylph::String</a>
<li>SylphIterator()
: <a class="el" href="class_sylph_1_1_sylph_iterator.html#6f74149cc4a6e7a057f51c33ce26709b">Sylph::SylphIterator&lt; Iter &gt;</a>
</ul>
<h3><a class="anchor" name="index_t">- t -</a></h3><ul>
<li>toLowerCase()
: <a class="el" href="class_sylph_1_1_string.html#c03c7bcef5052c4dc631f2de6ec74c40">Sylph::String</a>
<li>toUpperCase()
: <a class="el" href="class_sylph_1_1_string.html#ba1c630ce7a01e8f700e40ba9e0bfcc1">Sylph::String</a>
<li>trim()
: <a class="el" href="class_sylph_1_1_string.html#5a0bedc4563e052c7094b4848c552d4f">Sylph::String</a>
<li>type()
: <a class="el" href="class_sylph_1_1_any.html#77fc0fdfa5c15a6366378f5f770e2e4d">Sylph::Any</a>
</ul>
<h3><a class="anchor" name="index_u">- u -</a></h3><ul>
<li>utf16()
: <a class="el" href="class_sylph_1_1_string.html#ce212df56667b8e4fdf6107f7e0772e3">Sylph::String</a>
<li>utf8()
: <a class="el" href="class_sylph_1_1_string.html#cb57c977825c9db9d3f396947805027d">Sylph::String</a>
</ul>
<h3><a class="anchor" name="index_w">- w -</a></h3><ul>
<li>what()
: <a class="el" href="class_sylph_1_1_exception.html#3b56cc13b4004aa72e7ea86f034f968c">Sylph::Exception</a>
</ul>
<h3><a class="anchor" name="index_~">- ~ -</a></h3><ul>
<li>~Any()
: <a class="el" href="class_sylph_1_1_any.html#f7ddbe1a5c8bd1633b055ca2094cd92e">Sylph::Any</a>
<li>~Array()
: <a class="el" href="class_sylph_1_1_array.html#d4a67621f6f91387f75e50e9ef975bf7">Sylph::Array&lt; T &gt;</a>
<li>~Exception()
: <a class="el" href="class_sylph_1_1_exception.html#0a1244e5e39e0c176247e7eca88fd6b2">Sylph::Exception</a>
<li>~String()
: <a class="el" href="class_sylph_1_1_string.html#97f76b076e63c132aac3d93b28acd33e">Sylph::String</a>
<li>~SylphIterator()
: <a class="el" href="class_sylph_1_1_sylph_iterator.html#550c350d2d7744a7fd6af44c716fb846">Sylph::SylphIterator&lt; Iter &gt;</a>
</ul>
</div>
<hr size="1" class="unhidden"><address style="text-align: right;"><small>
Documentation for LibSylph by Doxygen
</body>
</html>
